> For the complete documentation index, see [llms.txt](https://docs.alldomains.id/protocol/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.alldomains.id/protocol/developer-guide/records-svm.md).

# Records (SVM)

The following records are currently available on AllDomains Protocol:

| Name     | Value                |
| -------- | -------------------- |
| IPFS     | An IPFS CID          |
| ARWV     | An Arweave address   |
| SOL      | A address            |
| ETH      | An ETH address       |
| BTC      | A BTC address        |
| LTC      | A LTC address        |
| DOGE     | A DOGE address       |
| email    | An Email address     |
| url      | A website URL        |
| discord  | A discord username   |
| github   | A Github username    |
| reddit   | A Reddit username    |
| twitter  | A Twitter username   |
| telegram | A Telegram username  |
| pic      | A Profile picture    |
| SHDW     | A SHDW DRIVE address |

#### Resolving a record:

```typescript
import { NameRecordHeader, getDomainKey, Record } from "@onsol/tldparser";
import { Connection } from "@solana/web3.js";

const RPC_URL = 'https://api.mainnet-beta.solana.com';
const connection = new Connection(RPC_URL);

//domain
const domain = "vlad.abc";

/**
we are getting the IPFS record value here but any from the list can be used
**/
const recordPubkey = (await getDomainKey(Record.IPFS + "." + domain, true)).pubkey
const nameRecord = await NameRecordHeader.fromAccountAddress(connection, recordPubkey);
const idx = nameRecord?.data?.indexOf(0x00);

//get the record value
const recordValue = nameRecord?.data?.subarray(0, idx).toString();
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.alldomains.id/protocol/developer-guide/records-svm.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
